package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserDict;
import com.sa.ibiz.demo.demo.service.dto.UserDictSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserDict] 服务对象接口
 */
public interface UserDictService extends IService<UserDict>{

	boolean create(UserDict et);
	boolean update(UserDict et);
	boolean remove(UserDict et);
	boolean getDraft(UserDict et);
	boolean checkKey(UserDict et);
		UserDict get(UserDict et);
		UserDict reloadCurUser(UserDict et);
    List<UserDict> listDefault(UserDictSearchFilter filter) ;
	Page<UserDict> searchDefault(UserDictSearchFilter filter);
	/**	 实体[UserDict] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }